# $Revision: 1.14 $, $Date: 2012/02/11 20:28:36 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Lzf
Summary:	Modules to read/write lzf files/buffers
Summary(pl.UTF-8):	Moduły do odczytu/zapisu plików/buforów lzf
Name:		perl-IO-Compress-Lzf
Version:	2.048
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	efb492f8a0d474ab04c40b2a8705aed0
URL:		http://search.cpan.org/dist/IO-Compress-Lzf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-LZF
BuildRequires:	perl-IO-Compress >= %{version}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Compress::Lzf and IO::Uncompress::UnLzf modules provide a Perl
interface that allows reading and writing lzf compressed data from/to
files or buffer.

Note that although this module uses Compress::LZF for compression, it
uses a different file format. The lzf file format used here is the
same as the lzf command-line utility that ships with the lzf library.

%description -l pl.UTF-8
Moduły IO::Compress::Lzf i IO::Uncompress::UnLzf udostępniają perlowy
interfejs umożliwiający odczyt i zapis danych skompresowanych
algorytmem lzf z/do plików lub buforów.

Należy zauważyć, że choć ten moduł wykorzystuje do kompresji moduł
Compress::LZF, używa innego formatu plików. Używany tutaj format
plików jest taki sam jak narzędzia lzf uruchamianego z linii poleceń,
dostarczanego wraz z biblioteką lzf.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/Lzf.pm
%{perl_vendorlib}/IO/Compress/Lzf.pm
%{perl_vendorlib}/IO/Uncompress/Adapter/Lzf.pm
%{perl_vendorlib}/IO/Uncompress/UnLzf.pm
%{_mandir}/man3/IO::Compress::Lzf.3pm*
%{_mandir}/man3/IO::Uncompress::UnLzf.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Compress-Lzf.spec,v $
Revision 1.14  2012/02/11 20:28:36  zbyniu
- up to 2.048

Revision 1.13  2012/01/17 14:23:10  qboosh
- uninified Source0 URL

Revision 1.12  2012/01/16 12:15:03  zbyniu
- release 2

Revision 1.11  2012/01/15 22:02:45  zbyniu
- up to 2.045

Revision 1.10  2011/03/06 05:47:46  qboosh
- updated to 2.033

Revision 1.9  2009/11/24 07:47:05  amateja
- updated to 2.023

Revision 1.8  2009/09/15 09:34:31  amateja
- updated to 2.021

Revision 1.7  2008/12/14 12:37:05  agaran
- up to 2.015

Revision 1.6  2007/12/19 16:36:00  zbyniu
- up to 2.008

Revision 1.5  2007-05-29 22:52:37  qboosh
- versioned IO::Compress::Base dep

Revision 1.4  2007/05/27 13:01:57  agaran
- up to 2.004, rel 1, builds here

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 19:10:45  qboosh
- new
